PROGRAM ModemAnswer;

USES
	Memtypes,QuickDraw,OSIntf,ToolIntf,PackIntf;

VAR
	Err : OSErr;
	OutRefNum, InRefNum : integer;
	InputBuffer : PACKED ARRAY[1..10000] OF char;
	Config : integer;
	rr : Str255;


PROCEDURE WriteToModem;
CONST
	sendThis = 'AT S0 = 3';
VAR
	count : LongInt;
	buffer : PACKED ARRAY[1..50] OF char;
	I : INTEGER;
BEGIN
  count := LENGTH(sendThis);
	for i := 1 to count do
	buffer[i] := sendThis[i];
	buffer[count + 1] := chr(13);
	count := count + 1;
	Err := FSWrite(OutRefNum, count, @buffer);
END;

PROCEDURE SetUp;

BEGIN
	Err := OpenDriver('.AOut', OutRefNum);
	Err := OpenDriver('.AIn', InRefNum);
	Err := SerSetBuf(InRefNum, @InputBuffer, 10000);
	Config := baud300 + data8 + stop10 + NoParity;
	Err := SerReset(OutRefNum, Config);
	Err := SerReset(InRefNum, Config);
END;

BEGIN
  Setup;
  WriteToModem;
  
  Err := SerSetBuf(InRefNum, @InputBuffer, 0);
  RAMSDClose(sPortA);


END.
